<% unless tools_task&.efficacity
    tools_task.build_efficacity
    tools_task.save!
   end
%>

  <tr class="<%= tools_task.ancestry ? 'task-line tablesorter-childRow' : 'task-line-root' %>">
    <td class="">
      <% if !tools_task.ancestry && !tools_task.children.empty? %>
        <a href="#" class="task-toggle" id="task-toggle-<%=tools_task.id%>">
          <%= tools_task.name_level.html_safe + '  ' + fa_icon('caret-down') %>
        </a>
      <% else %>
        <%= tools_task.name_level.html_safe %>
      <% end %>
    </td>
    <td>
      <%= efficacity_status(tools_task) %>
      <% if show_buttons %>
        <span id='task-edit-efficacity-<%=tools_task.id%>' style='color:#228;padding-left:5px;font-size:smaller;'>
          <%= link_to fa_icon_pen_presenter, tools_check_efficacity_edit_efficacity_path(id: tools_task.id), remote: true, title: 'edit status' %>
        </span>
        <% end %>
    </td>
    <td>
      <% unless show_buttons %>
        <%= tools_task.efficacity&.percentage %>
      <% else %>
        <%= efficacity_percentage_edit(tools_task) %>
      <% end %>
    </td>
    <td>
      <% unless show_buttons %>
        <%= tools_task.result %>
      <% else %>
        <%= best_in_place tools_task, :result, as: :textarea,
                                               ok_button: "&#x2714;".html_safe,
                                               cancel_button: "&#x2718;".html_safe,
                                               display_with: lambda { |val| best_in_place_display(val).html_safe },
                                               html_attrs: { class: 'bip-input form-control text optional form-control-sm' },
                                               class: 'bip-span' %>
      <% end %>
    </td>
    <td>
      <% unless show_buttons %>
        <%= efficacity_date_due(tools_task) %>
      <% else %>
        <%= efficacity_date_due_icon(tools_task) %>
        <% if tools_task&.efficacity %>
          <%= best_in_place tools_task.efficacity, :date_due_check, as: :date,
                                                 display_with: lambda { |val| best_in_place_display(val).html_safe },
                                                 html_attrs: { class: 'bip-input form-control text optional form-control-sm' },
                                                 class: 'bip-span' %>
        <% end %>
      <% end %>
    </td>
    <td><%= efficacity_date_done(tools_task) %></td>
  </tr>

  <% tools_task.children.includes(:efficacity).each do |child_task| %>
      <%= render partial: 'tools/check_efficacity/task_line', locals: {tools_task: child_task, show_buttons: show_buttons} %>
  <% end %>
<% # end %>
